CREATE DATABASE IF NOT EXISTS WEBER_C30SxM_V3_1;
USE WEBER_C30SxM_V3_1;
CREATE TABLE IF NOT EXISTS Results (
AutoIndex BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
MachineNo INT UNSIGNED NULL,
ChannelNo TINYINT UNSIGNED NULL,
CycleNo BIGINT UNSIGNED NULL,
TimeStamp TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
Prog TINYINT UNSIGNED NULL,
Type TINYINT UNSIGNED NULL,
OK_NOK SMALLINT UNSIGNED NULL,
M1 FLOAT NULL,
M2 FLOAT NULL,
Angle FLOAT NULL,
Depth FLOAT NULL,
Duration FLOAT NULL,
PartID CHAR(32) NULL,
KalDisable TINYINT UNSIGNED NULL,
IP1 FLOAT NULL,
NA1 FLOAT NULL,
TM1 FLOAT NULL,
MP1 FLOAT NULL,
LP1 FLOAT NULL,
TP1 FLOAT NULL,
WP1 FLOAT NULL,
MS1 FLOAT NULL,
Wmin1 FLOAT NULL,
Wmax1 FLOAT NULL,
MMin1 FLOAT NULL,
Mmax1 FLOAT NULL,
Tmin1 FLOAT NULL,
Tmax1 FLOAT NULL,
Lmin1 FLOAT NULL,
Lmax1 FLOAT NULL,
NAneg FLOAT NULL,
SF1 TINYINT UNSIGNED NULL,
CL1 TINYINT UNSIGNED NULL,
NA2 FLOAT NULL,
TM2 FLOAT NULL,
MP2 FLOAT NULL,
WP2 FLOAT NULL,
MR2 FLOAT NULL,
Mmin2 FLOAT NULL,
Mmax2 FLOAT NULL,
MS2 FLOAT NULL,
Wmin2 FLOAT NULL,
Wmax2 FLOAT NULL,
Tmax2 FLOAT NULL,
Lmin2 FLOAT NULL,
Lmax2 FLOAT NULL,
SF2 TINYINT UNSIGNED NULL,
CL2 TINYINT UNSIGNED NULL
);

USE WEBER_C30SxM_V3_1;
CREATE TABLE IF NOT EXISTS Curves (
Autoindex BIGINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
MachineNo INT UNSIGNED NULL,
ChannelNo TINYINT UNSIGNED NULL,
CycleNo BIGINT UNSIGNED NULL,
TimeStamp TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
CurveData MEDIUMBLOB NULL
);
